/***************************************************************************/
/*                                                                         */
/* File: main.cpp                                                          */
/* Author: bkenwright@screentoys.net                                       */
/* Date: 10-11-2002                                                        */
/*                                                                         */
/***************************************************************************/
//if you compile from the dos propmt type: (else ignore).
//      cl @RESP main.cpp
//      /I "C:\Program Files\Microsoft Visual Studio .NET\Vc7\PlatformSDK\Include\prerelease"
//      /link /LIBPATH:"C:\PROGRA~1\MICROS~1.NET\Vc7\PLATFO~1\lib\PREREL~1\"


// These few lines are compiler directives that include the windows librarys
// during linking.  You could instead inside visual studio goto Project->
// settings" menu and under the "Link" tab add the necessary librarys instead.
#pragma comment(lib, "kernel32.lib")
#pragma comment(lib, "user32.lib")
#pragma comment(lib, "gdi32.lib")
#pragma comment(lib, "comctl32.lib")
#pragma comment(lib, "Advapi32.lib")
#pragma comment(lib, "Winmm.lib")

#include <windows.h>
#include <stdio.h>

#define ULONG_PTR unsigned long

#pragma comment(lib, "D3d8.lib") //directX 8
#pragma comment(lib, "D3dx8.lib")
#include <d3dx8.h>


WNDCLASS a; HWND hwnd; MSG c;
long _stdcall zzz (HWND, UINT, WPARAM, LPARAM);

void abc(char *str)
{
      FILE *fp = fopen("output.txt", "a+");
      fprintf(fp, "%s\n", str);
      fclose(fp);
}
char buff[500];


#include "md2.h"

extern void init(HWND hWnd);
extern void de_init();
extern void Render(CMD2X* m);



CMD2X g_md2; // Important piece of code here! ->Using our CLoadMD2 Class<--

void gameloop()
{
	Render(&g_md2);
}


int _stdcall WinMain(HINSTANCE i, HINSTANCE j, char *k, int l)
{
	a.lpszClassName="a1";
	a.hInstance = i;
	a.lpfnWndProc = zzz;
	a.hbrBackground = (HBRUSH)GetStockObject(WHITE_BRUSH);
	RegisterClass(&a);
	hwnd=CreateWindow("a1", "xbdev.net", WS_OVERLAPPEDWINDOW, 30,30,300,300,NULL,NULL,i,NULL);

	init(hwnd);						// -1- Init DirectX3D.
	ShowWindow(hwnd,1);				// -2- Show our window.
	g_md2.ImportMD2("pac3D.md2", "pac3D.bmp");   // -3- Load our data into our CLoadMD2 class instance.
	while(1)
	{
		
		if (PeekMessage(&c, NULL, 0, 0, PM_NOREMOVE))
		{
			if(!GetMessage(&c, 0,0,0))
				break;
			DispatchMessage(&c);
		}
		else
			gameloop();				// -4- Display our data (e.g. calls Render in dxdraw.cpp).
	}

	return 1;
}

long _stdcall zzz (HWND w, UINT x, WPARAM y, LPARAM z)
{
	if (x == WM_DESTROY)
	{
		de_init();					// -5- Destroy DirectX code.
		g_md2.Release();			// -6- Destroy our CLoadMD2 instance.
		PostQuitMessage(0);
	}
	return DefWindowProc(w,x,y,z);
}

